Package org.apache.maven.scm.provider.accurev.cli

## Class XppStreamConsumer

- java.lang.Object
- - java.lang.Thread
  - - org.apache.maven.scm.provider.accurev.cli.XppStreamConsumer

All Implemented Interfaces:
  `java.lang.Runnable`, `org.codehaus.plexus.util.cli.StreamConsumer`

Direct Known Subclasses:
  `DiffConsumer`, `HistoryConsumer`, `StatConsumer`, `StreamsConsumer`, `WorkSpaceConsumer`

    public abstract class XppStreamConsumer
    extends java.lang.Thread
    implements org.codehaus.plexus.util.cli.StreamConsumer

This class is required because Plexus command line won't let you get to the process stream output process.

Author:
  ggardner

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`XppStreamConsumer​(ScmLogger logger)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `caughtParseException​(java.lang.Exception e)`
`void` `consumeLine​(java.lang.String line)`
`protected void` `endTag​(java.util.List<java.lang.String> tagPath)`
`ScmLogger` `getLogger()`
`protected static java.lang.String` `getTagName​(java.util.List<java.lang.String> tagPath)`
`protected void` `parse​(org.codehaus.plexus.util.xml.pull.XmlPullParser p)`
`void` `run()`
`protected void` `startTag​(java.util.List<java.lang.String> tagPath, java.util.Map<java.lang.String,​java.lang.String> attributes)`
`protected void` `text​(java.util.List<java.lang.String> tagPath, java.lang.String text)`
`void` `waitComplete()` close the input and wait for parsing to complete

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XppStreamConsumer

    public XppStreamConsumer​(ScmLogger logger)

### Method Detail

#### getLogger

    public ScmLogger getLogger()

#### consumeLine

    public final void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### caughtParseException

    protected void caughtParseException​(java.lang.Exception e)

#### parse

    protected void parse​(org.codehaus.plexus.util.xml.pull.XmlPullParser p)
                  throws org.codehaus.plexus.util.xml.pull.XmlPullParserException,
                         java.io.IOException

Throws:
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
  `java.io.IOException`

#### waitComplete

    public void waitComplete()

close the input and wait for parsing to complete

#### startTag

    protected void startTag​(java.util.List<java.lang.String> tagPath,
                            java.util.Map<java.lang.String,​java.lang.String> attributes)

#### getTagName

    protected static java.lang.String getTagName​(java.util.List<java.lang.String> tagPath)

#### endTag

    protected void endTag​(java.util.List<java.lang.String> tagPath)

#### text

    protected void text​(java.util.List<java.lang.String> tagPath,
                        java.lang.String text)